## org.apache.commons.collections.iterators
Class UnmodifiableListIterator

    java.lang.Object
      org.apache.commons.collections.iterators.UnmodifiableListIterator

All Implemented Interfaces:
  Iterator, ListIterator, Unmodifiable

public final class UnmodifiableListIterator
extends Object
implements ListIterator, Unmodifiable

Decorates a list iterator such that it cannot be modified.

Since:
  Commons Collections 3.0
Version:
  $Revision: 1.5 $ $Date: 2004/02/18 00:59:50 $
Author:
  Stephen Colebourne

Method Summary
`void` `add(Object obj)`
`static ListIterator` `decorate(ListIterator iterator)` Decorates the specified iterator such that it cannot be modified.
`boolean` `hasNext()`
`boolean` `hasPrevious()`
`Object` `next()`
`int` `nextIndex()`
`Object` `previous()`
`int` `previousIndex()`
`void` `remove()`
`void` `set(Object obj)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### decorate

    public static ListIterator decorate(ListIterator iterator)

  Decorates the specified iterator such that it cannot be modified.

  Parameters:
    `iterator` - the iterator to decorate
  Throws:
    `IllegalArgumentException` - if the iterator is null

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `ListIterator`

### next

    public Object next()

  Specified by:
    `next` in interface `ListIterator`

### nextIndex

    public int nextIndex()

  Specified by:
    `nextIndex` in interface `ListIterator`

### hasPrevious

    public boolean hasPrevious()

  Specified by:
    `hasPrevious` in interface `ListIterator`

### previous

    public Object previous()

  Specified by:
    `previous` in interface `ListIterator`

### previousIndex

    public int previousIndex()

  Specified by:
    `previousIndex` in interface `ListIterator`

### remove

    public void remove()

  Specified by:
    `remove` in interface `ListIterator`

### set

    public void set(Object obj)

  Specified by:
    `set` in interface `ListIterator`

### add

    public void add(Object obj)

  Specified by:
    `add` in interface `ListIterator`

Copyright © 2001-2005 Apache Software Foundation. All Rights Reserved.